List instance types for an AWS cluster
import requests
url = "https://platform.ankra.app/api/v1/clusters/aws/{cluster_id}/instance-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/aws/{cluster_id}/instance-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/aws/{cluster_id}/instance-types \
--header 'Authorization: Bearer <token>'{
"instance_types": [
{
"name": "<string>",
"vcpus": 123,
"memory_gib": 123,
"architecture": "<string>",
"category": "general",
"hourly_price_usd": 123,
"monthly_price_usd": 123,
"current_generation": true
}
],
"pricing_complete": true,
"incomplete_reasons": [
"<string>"
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}AWS Clusters
List instance types for an AWS cluster
Bearer PAT authentication; RBAC permission clusters.read. The instance-type catalog in the cluster’s own region and credential. Answers 404 while the organisation’s aws_provider feature flag is off.
GET
/
api
/
v1
/
clusters
/
aws
/
{cluster_id}
/
instance-types
List instance types for an AWS cluster
import requests
url = "https://platform.ankra.app/api/v1/clusters/aws/{cluster_id}/instance-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/aws/{cluster_id}/instance-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/aws/{cluster_id}/instance-types \
--header 'Authorization: Bearer <token>'{
"instance_types": [
{
"name": "<string>",
"vcpus": 123,
"memory_gib": 123,
"architecture": "<string>",
"category": "general",
"hourly_price_usd": 123,
"monthly_price_usd": 123,
"current_generation": true
}
],
"pricing_complete": true,
"incomplete_reasons": [
"<string>"
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.